Skip to Content
veriom

Workspace legacy history

Return sanitized, reconciled legacy context without presenting it as live evidence.

GET
/v1/workspaces/{workspace_id}/legacy-history

Return sanitized, reconciled legacy context without presenting it as live evidence.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

record_kind?|null
limit?Limit
Range1 <= value <= 250
Default100

Response Body

Successful Response

application/json
  1. response
enabled*Enabled
items*array<>
reconciled_batches*Reconciled Batches
total*Total
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/legacy-history'
Example Response
{  "enabled": true,  "items": [    {      "canonical_payload": {},      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "payload_sha256": "string",      "published_at": "2019-08-24T14:15:22Z",      "record_kind": "string",      "source_id": "string",      "source_revision": "string",      "source_system": "string",      "transformation_version": "string"    }  ],  "reconciled_batches": 0,  "total": 0}